var mozrefService = {
    urlKey        : 'mozrefsidebar.url',
    openActionKey : 'mozrefsidebar.openAction',

    getOpenAction: function() {
        var key;
        try {
            key = nsPreferences.mPrefService.getCharPref(this.openActionKey);
        } catch (e) {
            key = 'currWindow';
        }
        return key;
    },

    setOpenAction: function(action) {
        nsPreferences.mPrefService.setCharPref(this.openActionKey, action);
    },

    getUrl: function() {
        var url;
        try {
            url = nsPreferences.mPrefService.getCharPref(this.urlKey);
        } catch (e) {
            url = 'http://mozref.com/reference/objects/';
        }
        return url;
    },

    setUrl: function(url) {
        nsPreferences.mPrefService.setCharPref(this.urlKey, url);
    },
};
